/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdlib.h>
#include "neve.h"
#include "neve_misc.h"

/* Recursive procedure to free up a neve struct */

void free_neve (neve_in_chains *neve)
{

  neve_in_chains *temp = neve;

  if (temp->next)
    free_neve (temp->next);
      
  free (temp);

}

void free_charisma (GtkLisa *lisa)
{

  /* FIXME: this doesn't work.  We are corrupting memory.  This is bad, people */

#ifdef 0
  charisma *trailer;
  charisma *temp = lisa->links;
  
  while (temp->next)
    {
      trailer = temp;
      temp = temp->next;
      free (trailer);
    }

  free (lisa->links);
#endif /* 0 */

  lisa->links = NULL;
    
}
