/* YAWN, Yet Another Web Navigator */
/* Copyright (C) 1998, James Troup <jjtroup@comp.brad.ac.uk>
 *                     Lee Willis <lwillis@comp.brad.ac.uk> */

/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "neve.h"

int get_bit (char *document, long *index);
int skip_equals(char *document, long *index);
void handle_src (char *document, long *index, neve_in_chains *node, int tag);
void handle_href (char *document, long *index, neve_in_chains *node, int tag);
void handle_align (char *document, long *index, neve_in_chains *node, int tag, physical_attribute_types *current_pattributes);
void handle_unrecognized (char *document, long *index);
long handle_value (char *document, long *index);
void handle_size (char *document, long *index,neve_in_chains *node, int tag, int *basefont, int *font_change_implemented, physical_attribute_types *current_pattributes);
int hex_to_dec (char s);
int convert_hex (char *doc, long *index);
void handle_colour(char *document, long *index, neve_in_chains *node, int tag, int *font_change_implemented, physical_attribute_types *current_pattributes);
void handle_alt (char *document, long *index, neve_in_chains *node, int tag);
void handle_type (char *document, long *index, neve_in_chains *node, int tag);
void handle_width (char *document, long *index, neve_in_chains *node, int tag);
void handle_height (char *document, long *index, neve_in_chains *node, int tag);
void parse_attribs (char *document,long *index, neve_in_chains *neve_node, 
		    int tag, int *current_basefont, physical_attribute_types *current_pattribs);
void skip_attribs (char *document, long *index);
void fill_in_alt(neve_in_chains *node);
